%global srcname flask
%global osrcname Flask

Name:           python-%{srcname}
Version:        0.11.1
Release:        %mkrel 1
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/flask/
Source0:        http://pypi.python.org/packages/source/f/%{srcname}/%{osrcname}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	python3-devel 
BuildRequires:	python3-setuptools

%description
A microframework based on Werkzeug, Jinja2 and good intentions

This package contains the python2 version of the framework.

%package -n 	python3-%{srcname}
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python

%description -n python3-%{srcname}
A microframework based on Werkzeug, Jinja2 and good intentions.

This package contains the python3 module of the framework.

%prep
%setup -q -n %{osrcname}-%{version}

%build
# see install the build is performed twice for python2 and 3 package

%install
%{__python} setup.py build
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/%srcname %{buildroot}%{_bindir}/python2-%srcname 
%{__python3} setup.py build
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/%srcname %{buildroot}%{_bindir}/python3-%srcname

#rpm fails to package the egg file  from the testsuite
rm -fr %buildroot%{python_sitelib}/%{srcname}/testsuite
rm -fr %buildroot%{python3_sitelib}/%{srcname}/testsuite

%files
%{_bindir}/python2-%{srcname}
%{python_sitelib}/%{osrcname}*
%{python_sitelib}/%{srcname}*

%files -n python3-%{srcname}
%{_bindir}/python3-%{srcname}
%{python3_sitelib}/%{osrcname}*
%{python3_sitelib}/%{srcname}*

%changelog
* Mon Nov 21 2016 adrianomorselli <adrianomorselli> 0.11.1-1uplos2016
- rebuild

* Sun Jun 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.1-1pclos2016
- 0.11.1
- add python3 package

* Sun Aug 11 2013 billybot <billybot> 0.10.1-1pclos2013
- update
